USB_FUNCTION_ACTIVAT(9)

NAME
usb_function_activate - allow function and gadget enumeration

SYNOPSIS

int usb_function_activate(struct usb_function * function);

ARGUMENTS

function
    function on which usb_function_activate was called

DESCRIPTION

Reverses effect of usb_function_deactivate. If no more functions are delaying their activation, the gadget driver will respond to host enumeration procedures.

Returns zero on success, else negative errno.

AUTHOR

David Brownell <dbrownell@users.sourceforge.net>
    Author.

COPYRIGHT